<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>3d Card Effect</title>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;500&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="./style.css">
</head>
<body>
    <div class="container">
        <div class="card">
            <div class="sneaker">
                <div class="circle"></div>
                <img src="./adidas.png" alt="adidas">
            </div>
            <div class="info">
                <h1 class="title">Adidas ZX</h1>
                <h3>FUTURE-READY TRAINERS WITH WRAPPED BOOST FOR EXCEPTION COMFORT.</h3>
                <div class="sizes">
                    <button>39</button>
                    <button>40</button>
                    <button class="active">42</button>
                    <button>44</button>
                </div>
                <div class="purchase">
                    <button>Purchase</button>
                </div>
            </div>
        </div>
    </div>
    <script src="./app.js"></script>
    <script src="./jquery.min.js"></script>
    <script src="./okshadow.min.js"></script>
    <script>
        $('.card').okshadow();
        $('.card').each(function (index) {
            $( this ).data("okshadow").setoption({
                "xMax": 32,
                "xFactor": 16,
                "yOffset": 6,
                "fuzzMin": 10,
                "fuzzMax": 10,
                "leavePause": true
            })
        });
        $('.sizes button').okshadow();
        $('.sizes button').each(function (index) {
            $( this ).data("okshadow").setoption({
                "xMax": 32,
                "xFactor": 16,
                "yOffset": -12,
                "fuzzMin": 10,
                "fuzzMax": 10,
                "leavePause": true
            })
        });
        $( ".container" ).mouseenter(function() {
            $('.sizes button').each(function (index) {
                $( this ).data("okshadow").unpause();
            });
            $('.card').each(function (index) {
                $( this ).data("okshadow").unpause();
            });
        });
        $( ".container" ).mouseleave(function() {
            $('.sizes button').each(function (index) {
                $( this ).data("okshadow").pause();
            });
            $('.card').each(function (index) {
                $( this ).data("okshadow").pause();
            });
        });

    </script>
</body>
</html>